## PolkitUnixGroup

PolkitUnixGroup — Unix groups

## Functions

PolkitIdentity * | polkit_unix_group_new ()
PolkitIdentity * | polkit_unix_group_new_for_name ()
gint | polkit_unix_group_get_gid ()
void | polkit_unix_group_set_gid ()

## Properties

int | gid | Read / Write / Construct

## Types and Values

| PolkitUnixGroup

## Object Hierarchy

        GObject
        ╰── PolkitUnixGroup

## Implemented Interfaces

PolkitUnixGroup implements PolkitIdentity.

## Description

An object representing a group identity on a UNIX system.

## Functions

### polkit_unix_group_new ()

    PolkitIdentity *
    polkit_unix_group_new (gint gid);

Creates a new PolkitUnixGroup object for `gid` .

#### Parameters

gid | A UNIX group id. |

#### Returns

A PolkitUnixGroup object. Free with `g_object_unref()`.

[transfer full]

### polkit_unix_group_new_for_name ()

    PolkitIdentity *
    polkit_unix_group_new_for_name (const gchar *name,
                                    GError **error);

Creates a new PolkitUnixGroup object for a group with the group name `name` .

#### Parameters

name | A UNIX group name. |
error | Return location for error. |

#### Returns

A PolkitUnixGroup object or `NULL` if `error` is set.

[transfer full][allow-none]

### polkit_unix_group_get_gid ()

    gint
    polkit_unix_group_get_gid (PolkitUnixGroup *group);

Gets the UNIX group id for `group` .

#### Parameters

group | A PolkitUnixGroup. |

#### Returns

A UNIX group id.

### polkit_unix_group_set_gid ()

    void
    polkit_unix_group_set_gid (PolkitUnixGroup *group,
                               gint gid);

Sets `gid` for `group` .

#### Parameters

group | A PolkitUnixGroup. |
gid | A UNIX group id. |

## Types and Values

### PolkitUnixGroup

    typedef struct _PolkitUnixGroup PolkitUnixGroup;

The PolkitUnixGroup struct should not be accessed directly.

## Property Details

### The `“gid”` property

      “gid”                      int

The UNIX group id.

Owner: PolkitUnixGroup

Flags: Read / Write / Construct

Default value: -1